package cn.pluss.platform.channel;

import cn.pluss.platform.entity.MerchantChannelStatus;
import com.alibaba.fastjson.JSONObject;

public interface MerchAuditResultService {

    /**
     * 回调，通用回调
     * @param jsonObject    回调参数
     */
    void callback(JSONObject jsonObject) throws Exception;

    /**
     * 查询进件结果
     * @param userId
     */
    void auditResult(String userId);

    void auditResult(MerchantChannelStatus mcs);

    /**
     * 查询签约结果，该操作作为商户最终状态的判断
     * @param userId    用户id
     */
    void signResult(String userId);

    /**
     * 查询商户变更结果
     * @param userId 用户id
     */
    void editResult(String userId);
}
